Skip to content
Find file
Fetching contributors…
Cannot retrieve contributors at this time
42 lines (41 sloc) 1.45 KB
{
"name": "vim-plugger",
"description": "Vim plugins downloader",
"version": "0.0.6",
"author": {
"name": "Vasily Mikhaylichenko",
"email": "vasily.mikhaylichenko+github@gmail.com"
},
"main": "index.js",
"repository": {
"type": "git",
"url": "http://github.com/vaskas/node-vim-plugger.git"
},
"dependencies": {
"shelljs": "*",
"zlib": "*",
"tar": "*",
"request": "*"
},
"scripts": {
"test": "tap ./test/*.js"
},
"keywords": [
"vim",
"plugin"
],
"engines": {
"node": ">= 0.6.0"
},
"readme": "# vim-plugger\n\nA simplistic vim plugins downloader that presumes that you use [pathogen](https://github.com/tpope/vim-pathogen).\nIt's easier to use than git submodules and works faster than vundle (but doesn't have any of their features).\n\n## Usage\n\nCreate a bundle file:\n\n```js\nvar githubRefs = [\n 'mileszs/ack.vim',\n 'Lokaltog/vim-powerline',\n 'chriskempson/base16-vim',\n 'ap/vim-css-color',\n 'tpope/vim-fugitive',\n 'digitaltoad/vim-jade',\n 'airblade/vim-gitgutter'\n]\n\nrequire('vim-plugger')(githubRefs, { cleanup: true });\n```\n\nRun it with node\n```\nnode bundle.js\n```",
"readmeFilename": "README.md",
"_id": "vim-plugger@0.0.3",
"dist": {
"shasum": "f11511e8fd4d5eed334afd34f4a9bd1da31822b4"
},
"_from": "vim-plugger@>= 0.0.2",
"_resolved": "https://registry.npmjs.org/vim-plugger/-/vim-plugger-0.0.3.tgz",
"devDependencies": {
"tap": "~0.4.0"
}
}
Jump to Line
Something went wrong with that request. Please try again.